/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.start-date-picker-container {
  padding: 16px;
  background: #fff;
  .ant-form-item.ant-form-item-has-error {
    margin: 0;
  }
  .start-date-picker {
    width: 50%;
    .ant-picker-suffix {
      color: @platfrom-blue1;
    }
    &.ant-form-item-has-error + span {
      display: block;
      margin-left: 20px;
    }
    & + span {
      margin-top: -20px;
      display: block;
    }
  }

  #kalender-drawer-btn {
    color: -webkit-link;
    cursor: pointer;
    text-decoration: underline;
    border: 0 transparent solid;
    &:hover,
    &:active {
      color: white;
      background-color: black;
    }
    &:focus {
      outline-style: none;
    }
  }
}

.ant-picker-cell-inner {
  &.picker-cell-bigger {
    min-width: 28px;
    height: 28px;
  }
  & .picker-underline {
    border-bottom: 1px solid #000;
    width: 20px;
    margin: auto;
  }

  &:hover {
    & .picker-underline {
      border-bottom: 1px solid #fff;
    }
  }
}

.ant-picker-cell-selected {
  & .ant-picker-cell-inner {
    &.picker-cell-bigger {
      min-width: 28px;
      height: 28px;
    }
    & .picker-underline {
      border-bottom: 1px solid #fff;
      width: 20px;
      margin: auto;
    }

    &:hover {
      & .picker-underline {
        border-bottom: 1px solid #fff;
      }
    }
  }
}
